> For the complete documentation index, see [llms.txt](https://docs.ionos.com/ansible/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/ansible/api/nat-gateway/modules/nat_gateway_flowlog.md).

# Flowlog

## nat\_gateway\_flowlog

This is a simple module that supports creating or removing NATGateway Flowlogs. This module has a dependency on ionoscloud >= 6.0.2

### Example Syntax

```yaml

name: Create NAT Gateway Flowlog
ionoscloudsdk.ionoscloud.nat_gateway_flowlog:
  name: 'AnsibleAutoTestNAT'
  action: ACCEPTED
  direction: INGRESS
  bucket: sdktest
  datacenter: ''
  nat_gateway: ''
  wait: true
register: nat_gateway_flowlog_response


name: Update NAT Gateway Flowlog
ionoscloudsdk.ionoscloud.nat_gateway_flowlog:
  datacenter: ''
  nat_gateway: ''
  flowlog: ''
  name: 'AnsibleAutoTestNAT'
  action: ALL
  direction: INGRESS
  bucket: sdktest
  wait: true
  state: update
register: nat_gateway_flowlog_update_response


name: Delete NAT Gateway Flowlog
ionoscloudsdk.ionoscloud.nat_gateway_flowlog:
  datacenter: ''
  nat_gateway: ''
  flowlog: ''
  state: absent

```

&#x20; &#x20;

### Returned object

```json
{
    "changed": true,
    "failed": false,
    "action": "create",
    "flowlog": {
        "href": "https://api.ionos.com/cloudapi/v6/datacenters/c731955d-f702-4094-bc71-ecb769698c89/natgateways/296af42c-c9ce-4f29-bcb8-f12be048bed8/flowlogs/82b024ed-71f5-47fb-89ca-8deaded744ea",
        "id": "82b024ed-71f5-47fb-89ca-8deaded744ea",
        "metadata": {
            "created_by": "<USER_EMAIL>",
            "created_by_user_id": "<USER_ID>",
            "created_date": "2023-05-31T12:29:48+00:00",
            "etag": "5a5c4d7049d5814f9e95984ecda08840",
            "last_modified_by": "<USER_EMAIL>",
            "last_modified_by_user_id": "<USER_ID>",
            "last_modified_date": "2023-05-31T12:29:48+00:00",
            "state": "BUSY"
        },
        "properties": {
            "action": "ACCEPTED",
            "bucket": "sdktest",
            "direction": "INGRESS",
            "name": "AnsibleAutoTestNAT"
        },
        "type": "flow-log"
    }
}

```

#### For more examples please check out the tests [here](https://github.com/ionos-cloud/module-ansible/tree/master/tests/natgateway).

&#x20;

&#x20;

## state: **present**

```yaml
  
name: Create NAT Gateway Flowlog
ionoscloudsdk.ionoscloud.nat_gateway_flowlog:
  name: 'AnsibleAutoTestNAT'
  action: ACCEPTED
  direction: INGRESS
  bucket: sdktest
  datacenter: ''
  nat_gateway: ''
  wait: true
register: nat_gateway_flowlog_response

```

#### Available parameters for state **present**:

&#x20;

<table data-full-width="true"><thead><tr><th width="70">Name</th><th width="40" align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td>name<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The resource name.</td></tr><tr><td>action<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>Specifies the traffic action pattern.</td></tr><tr><td>direction<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>Specifies the traffic direction pattern.</td></tr><tr><td>bucket<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The bucket name of an existing IONOS CLOUD Object storage bucket.</td></tr><tr><td>datacenter<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The ID or name of the datacenter.</td></tr><tr><td>nat_gateway<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The ID or name of the NAT Gateway.</td></tr><tr><td>api_url<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API base URL.</td></tr><tr><td>certificate_fingerprint<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API certificate fingerprint.</td></tr><tr><td>username<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos username. Overrides the IONOS_USERNAME environment variable.</td></tr><tr><td>password<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos password. Overrides the IONOS_PASSWORD environment variable.</td></tr><tr><td>token<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos token. Overrides the IONOS_TOKEN environment variable.</td></tr><tr><td>wait<br><mark style="color:blue;">bool</mark></td><td align="center">False</td><td>Wait for the resource to be created before returning.<br>Default: True<br>Options: [True, False]</td></tr><tr><td>wait_timeout<br><mark style="color:blue;">int</mark></td><td align="center">False</td><td>How long before wait gives up, in seconds.<br>Default: 600</td></tr><tr><td>state<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>Indicate desired state of the resource.<br>Default: present<br>Options: ['present', 'absent', 'update']</td></tr></tbody></table>

&#x20;

&#x20;

## state: **absent**

```yaml
  
name: Delete NAT Gateway Flowlog
ionoscloudsdk.ionoscloud.nat_gateway_flowlog:
  datacenter: ''
  nat_gateway: ''
  flowlog: ''
  state: absent

```

#### Available parameters for state **absent**:

&#x20;

<table data-full-width="true"><thead><tr><th width="70">Name</th><th width="40" align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td>name<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The resource name.</td></tr><tr><td>datacenter<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The ID or name of the datacenter.</td></tr><tr><td>nat_gateway<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The ID or name of the NAT Gateway.</td></tr><tr><td>flowlog<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The ID or name of the Flowlog.</td></tr><tr><td>api_url<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API base URL.</td></tr><tr><td>certificate_fingerprint<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API certificate fingerprint.</td></tr><tr><td>username<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos username. Overrides the IONOS_USERNAME environment variable.</td></tr><tr><td>password<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos password. Overrides the IONOS_PASSWORD environment variable.</td></tr><tr><td>token<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos token. Overrides the IONOS_TOKEN environment variable.</td></tr><tr><td>wait<br><mark style="color:blue;">bool</mark></td><td align="center">False</td><td>Wait for the resource to be created before returning.<br>Default: True<br>Options: [True, False]</td></tr><tr><td>wait_timeout<br><mark style="color:blue;">int</mark></td><td align="center">False</td><td>How long before wait gives up, in seconds.<br>Default: 600</td></tr><tr><td>state<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>Indicate desired state of the resource.<br>Default: present<br>Options: ['present', 'absent', 'update']</td></tr></tbody></table>

&#x20;

&#x20;

## state: **update**

```yaml
  
name: Update NAT Gateway Flowlog
ionoscloudsdk.ionoscloud.nat_gateway_flowlog:
  datacenter: ''
  nat_gateway: ''
  flowlog: ''
  name: 'AnsibleAutoTestNAT'
  action: ALL
  direction: INGRESS
  bucket: sdktest
  wait: true
  state: update
register: nat_gateway_flowlog_update_response

```

#### Available parameters for state **update**:

&#x20;

<table data-full-width="true"><thead><tr><th width="70">Name</th><th width="40" align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td>name<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The resource name.</td></tr><tr><td>action<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>Specifies the traffic action pattern.</td></tr><tr><td>direction<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>Specifies the traffic direction pattern.</td></tr><tr><td>bucket<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The bucket name of an existing IONOS CLOUD Object storage bucket.</td></tr><tr><td>datacenter<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The ID or name of the datacenter.</td></tr><tr><td>nat_gateway<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The ID or name of the NAT Gateway.</td></tr><tr><td>flowlog<br><mark style="color:blue;">str</mark></td><td align="center">True</td><td>The ID or name of the Flowlog.</td></tr><tr><td>api_url<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API base URL.</td></tr><tr><td>certificate_fingerprint<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos API certificate fingerprint.</td></tr><tr><td>username<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos username. Overrides the IONOS_USERNAME environment variable.</td></tr><tr><td>password<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos password. Overrides the IONOS_PASSWORD environment variable.</td></tr><tr><td>token<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>The Ionos token. Overrides the IONOS_TOKEN environment variable.</td></tr><tr><td>wait<br><mark style="color:blue;">bool</mark></td><td align="center">False</td><td>Wait for the resource to be created before returning.<br>Default: True<br>Options: [True, False]</td></tr><tr><td>wait_timeout<br><mark style="color:blue;">int</mark></td><td align="center">False</td><td>How long before wait gives up, in seconds.<br>Default: 600</td></tr><tr><td>state<br><mark style="color:blue;">str</mark></td><td align="center">False</td><td>Indicate desired state of the resource.<br>Default: present<br>Options: ['present', 'absent', 'update']</td></tr></tbody></table>

&#x20;

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/ansible/api/nat-gateway/modules/nat_gateway_flowlog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
